classification
Title: Python 3.6.1 installation issues on OpenSuse 42.1: ModuleNotFoundError: No module named 'encodings'
Type: Stage: resolved
Components: Installation Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: ajung, brett.cannon, vstinner, zopyx
Priority: normal Keywords:

Created on 2017-06-12 08:43 by zopyx, last changed 2019-05-15 02:48 by vstinner. This issue is now closed.

Messages (5)
msg295757 - (view) Author: Andreas Jung (zopyx) Date: 2017-06-12 08:43
Installing Python 3.6.1 from the sources on OpenSuse 42.1 gives me:

o Python/mystrtoul.o Python/mysnprintf.o Python/peephole.o Python/pyarena.o Python/pyctype.o Python/pyfpe.o Python/pyhash.o Python/pylifecycle.o Python/pymath.o Python/pystate.o Python/pythonrun.o Python/pytime.o Python/random.o Python/structmember.o Python/symtable.o Python/sysmodule.o Python/traceback.o Python/getopt.o Python/pystrcmp.o Python/pystrtod.o Python/pystrhex.o Python/dtoa.o Python/formatter_unicode.o Python/fileutils.o Python/dynload_shlib.o   Python/thread.o  Python/frozen.o
ar rc libpython3.6m.a Modules/config.o Modules/getpath.o Modules/main.o Modules/gcmodule.o
ar rc libpython3.6m.a Modules/_threadmodule.o  Modules/posixmodule.o  Modules/errnomodule.o  Modules/pwdmodule.o  Modules/_sre.o  Modules/_codecsmodule.o  Modules/_weakref.o  Modules/_functoolsmodule.o  Modules/_operator.o  Modules/_collectionsmodule.o  Modules/itertoolsmodule.o  Modules/atexitmodule.o  Modules/signalmodule.o  Modules/_stat.o  Modules/timemodule.o  Modules/_localemodule.o  Modules/_iomodule.o Modules/iobase.o Modules/fileio.o Modules/bytesio.o Modules/bufferedio.o Modules/textio.o Modules/stringio.o  Modules/zipimport.o  Modules/faulthandler.o  Modules/_tracemalloc.o Modules/hashtable.o  Modules/symtablemodule.o  Modules/xxsubtype.o
ranlib libpython3.6m.a
gcc -pthread  -fprofile-generate  -Xlinker -export-dynamic -o python Programs/python.o libpython3.6m.a -lpthread -ldl  -lutil   -lm
gcc -pthread  -fprofile-generate  -Xlinker -export-dynamic -o Programs/_testembed Programs/_testembed.o libpython3.6m.a -lpthread -ldl  -lutil   -lm
./python -E -S -m sysconfig --generate-posix-vars ;\
if test $? -ne 0 ; then \
	echo "generate-posix-vars failed" ; \
	rm -f ./pybuilddir.txt ; \
	exit 1 ; \
fi
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Fatal Python error: Py_Initialize: Unable to get the locale encoding
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007f8a8d4c6680 (most recent call first):
/bin/sh: line 5: 31168 Aborted                 ./python -E -S -m sysconfig --generate-posix-vars
generate-posix-vars failed
Makefile:595: recipe for target 'pybuilddir.txt' failed
make[2]: *** [pybuilddir.txt] Error 1
make[2]: Leaving directory '/data/home/ajung/src/Python-3.6.1'
Makefile:511: recipe for target 'build_all_generate_profile' failed
make[1]: *** [build_all_generate_profile] Error 2
make[1]: Leaving directory '/data/home/ajung/src/Python-3.6.1'
Makefile:492: recipe for target 'profile-opt' failed
make: *** [profile-opt] Error 2

Some search on Google reveals some dependency to PYTHONPATH but this variable is not set on my system
msg295829 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2017-06-12 21:58
What commands did you use to launch this build? (E.g. I noticed you are trying to do a PGO build.)
msg295837 - (view) Author: Andreas Jung (ajung) Date: 2017-06-13 02:34
Just the standard

./configure --prefix=... --enable-optimizations

dance
msg295838 - (view) Author: Andreas Jung (ajung) Date: 2017-06-13 02:48
--enable-optimizations is not the issue

Seems to be somehow related to the locales.

My env is:

ALSA_CONFIG_PATH=/etc/alsa-pulse.conf
AUDIODRIVER=pulseaudio
AUTOJUMP_ERROR_PATH=/home/ajung/.local/share/autojump/errors.log
COLORTERM=1
CONFIG_SITE=/usr/share/site/x86_64-unknown-linux-gnu
CPU=x86_64
CSHEDIT=emacs
CVS_RSH=ssh
DISPLAY=localhost:10.0
EDITOR=vim
FOP_HOME=/opt/fop-1.0
FROM_HEADER=
G_BROKEN_FILENAMES=1
G_FILENAME_ENCODING=@locale,UTF-8,ISO-8859-15,CP1252
GPG_TTY=/dev/pts/14
HISTSIZE=1000
HOME=/home/ajung
HOST=blackmoon2
HOSTNAME=blackmoon2
HOSTTYPE=x86_64
INPUTRC=/home/ajung/.inputrc
IRCNAME=Andreas Jung (www.andreas-jung.com)
IRCNICK=YET
IRCSERVER=irc.freenet.de irc.belwue.de
JAVA_BINDIR=/usr/java/latest/bin
JAVA_HOME=/usr/java/latest
JAVA_ROOT=/usr/java/latest
JDK_HOME=/usr/java/latest
JRE_HOME=/usr/lib64/jvm/jre
LANG=en_US.UTF-8
LC_ALL=en_US.UTF-8
LESS_ADVANCED_PREPROCESSOR=no
LESSCLOSE=lessclose.sh %s %s
LESSKEY=/etc/lesskey.bin
LESS=-M -I -R
LESSOPEN=lessopen.sh %s
LIBGL_DEBUG=quiet
LOGNAME=ajung
LS_COLORS=no=00:fi=00:di=01;34:ln=00;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=41;33;01:ex=00;32:*.cmd=00;32:*.exe=01;32:*.com=01;32:*.bat=01;32:*.btm=01;32:*.dll=01;32:*.tar=00;31:*.tbz=00;31:*.tgz=00;31:*.rpm=00;31:*.deb=00;31:*.arj=00;31:*.taz=00;31:*.lzh=00;31:*.lzma=00;31:*.zip=00;31:*.zoo=00;31:*.z=00;31:*.Z=00;31:*.gz=00;31:*.bz2=00;31:*.tb2=00;31:*.tz2=00;31:*.tbz2=00;31:*.xz=00;31:*.avi=01;35:*.bmp=01;35:*.fli=01;35:*.gif=01;35:*.jpg=01;35:*.jpeg=01;35:*.mng=01;35:*.mov=01;35:*.mpg=01;35:*.pcx=01;35:*.pbm=01;35:*.pgm=01;35:*.png=01;35:*.ppm=01;35:*.tga=01;35:*.tif=01;35:*.xbm=01;35:*.xpm=01;35:*.dl=01;35:*.gl=01;35:*.wmv=01;35:*.aiff=00;32:*.au=00;32:*.mid=00;32:*.mp3=00;32:*.ogg=00;32:*.voc=00;32:*.wav=00;32:
LS_OPTIONS=-N --color=tty -T 0
MACHTYPE=x86_64-suse-linux
MAIL=/var/mail/ajung
MANPATH=/usr/share/man:/opt/local/share/man:/usr/X11R6/man
MINICOM=-c on
MORE=-sl
NNTPSERVER=news
NO_AT_BRIDGE=1
OLDPWD=/home/ajung/src
OSTYPE=linux
PAGER=less
PATH=/home/ajung/.autojump/bin:/usr/java/jdk1.8.0_05/jre/bin:/opt/speedata-publisher/bin:/opt/php-7.1.2/bin:/opt/sphinx/bin:/opt/dita-ot-2.3.1/bin:/opt/ditac-2_6_1/bin:/opt/mongodb/bin:/usr/AHFormatterV64_64:/opt/calibre:/opt/xfc/bin:/opt/PDFreactor/bin:/opt/prince-11:/opt/local/bin:/opt/local/sbin:/usr/bin:/home/ajung/bin:/sbin:/bin:/home/ajung/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/games:/opt/bin
PILOTPORT=usb:
PP_SERVER=https://demo:demo@pp-server.zopyx.com/
PROFILEREAD=true
PWD=/home/ajung/src/Python-3.6.1
PYTHONSTARTUP=/etc/pythonstart
QEMU_AUDIO_DRV=pa
QT_SYSTEM_DIR=/usr/share/desktop-data
SDK_HOME=/usr/java/latest
SDL_AUDIODRIVER=pulse
SHELL=/bin/bash
SHLVL=1
SSH_AUTH_SOCK=/tmp/ssh-sejLfLH4gS/agent.25203
SSH_CLIENT=192.168.0.66 50756 22
SSH_CONNECTION=192.168.0.66 50756 192.168.0.51 22
SSH_TTY=/dev/pts/14
TERM=xterm-256color
USER=ajung
_=/usr/bin/env
VDPAU_DRIVER=va_gl
WINDOWMANAGER=/usr/bin/startkde
XAUTHLOCALHOSTNAME=blackmoon2
XDG_CONFIG_DIRS=/etc/xdg
XDG_DATA_DIRS=/usr/local/share:/usr/share
XDG_RUNTIME_DIR=/run/user/1000
XDG_SESSION_ID=99
XFC_DIR=/opt/xfc/bin
XINC_HOME=/home/ajung/src/xinc
XKEYSYMDB=/usr/X11R6/lib/X11/XKeysymDB
XNLSPATH=/usr/share/X11/nls



Also tried to set LC_ALL=C but that does not make a difference.
msg342539 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-15 02:48
No activity for almost 2 years, I close the issue.
History
Date User Action Args
2019-05-15 02:48:29vstinnersetstatus: open -> closed

nosy: + vstinner
messages: + msg342539

resolution: out of date
stage: resolved
2017-06-13 02:48:39ajungsetmessages: + msg295838
2017-06-13 02:34:11ajungsetnosy: + ajung
messages: + msg295837
2017-06-12 21:58:43brett.cannonsetnosy: + brett.cannon
messages: + msg295829
2017-06-12 08:43:29zopyxcreate